Base URL: https://demo-api.incodesmile.com — Incode demo environment
Check for valid CURP directly with an automated search in https://www.gob.mx/curp/ and return corresponding values of that person. Parameter must be "curp".
Scraping service will start working asynchronously and this service will return a resultsId to fetch the results in /api/fetch/curp/v3. The recommended wait time is 25 sec.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
curp |
string | ||
externalId |
string |
Responses
200
idResults: String
400
Invalid curp: a 400 error will be thrown if the curp provided does not match the correct pattern.
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |